import {
    service
} from '../utils/request';
const api1 = "/mosty-base"
const api2 = "/mosty-qwzx"
const api3 = "/mosty-jcgl"
const api4 = "/mosty-sjzx"
const api5 = "/mosty-yjzl"
const api6 = '/mosty-hczx'

// 警力全部
export function jlqbsu(params) {
    return service({
        url: api2 + '/jlqk/jmjl/qbList',
        method: 'GET',
        params
    })
}
// 警力在岗
export function jlzgsu(params) {
    return service({
        url: api2 + '/jlqk/jmjl/zgList',
        method: 'GET',
        params
    })
}
// 全部-民警
export function qbmjsu(params) {
    return service({
        url: api2 + '/jlqk/mj/qblb',
        method: 'GET',
        params
    })
}
// 在岗-民警
export function zgmjsu(params) {
    return service({
        url: api2 + '/jlqk/mj/zglb',
        method: 'GET',
        params
    })
}
// 全部-辅警
export function qbfjsu(params) {
    return service({
        url: api2 + '/jlqk/fj/qblb',
        method: 'GET',
        params
    })
}
// 在岗-辅警
export function zgfjsu(params) {
    return service({
        url: api2 + '/jlqk/fj/zglb',
        method: 'GET',
        params
    })
}
// 民警-可抽调
export function mjkcdsu(params) {
    return service({
        url: api2 + '/jlqk/kcd/mjlb',
        method: 'GET',
        params
    })
}
// 辅警-可抽调
export function fjkcdsu(params) {
    return service({
        url: api2 + '/jlqk/kcd/fjlb',
        method: 'GET',
        params
    })
}
// 民警-街面警力
export function mjjmjlsu(params) {
    return service({
        url: api2 + '/jlqk/jmjl/mjlb',
        method: 'GET',
        params
    })
}
// 辅警-街面警力
export function fjjmjlsu(params) {
    return service({
        url: api2 + '/jlqk/jmjl/fjlb',
        method: 'GET',
        params
    })
}
// 民警-请休假
export function mjqxjsu(params) {
    return service({
        url: api2 + '/jlqk/qxj/mjlb',
        method: 'GET',
        params
    })
}
// 辅警-请休假
export function fjqxjsu(params) {
    return service({
        url: api2 + '/jlqk/qxj/fjlb',
        method: 'GET',
        params
    })
}
// /tbQwXfbb/selectJmllList 新街面警力接口、
export function selectJmllList(params) {
    return service({
        url: api2 + '/tbQwXfbb/selectJmllList',
        method: 'GET',
        params
    })
}
// 分页查询
export function getXfbb(params) {
    return service({
        url: api2 + '/tbQwXfbb',
        method: 'GET',
        params
    })
}
/**
 * 全部
 */
export function getQb(data) {
    return service({
        url: api2 + "/jlqk/jmjl/qb",
        method: "GET",
        params: data
    });
};
/**
 * 在岗
 */
export function getZg(data) {
    return service({
        url: api2 + "/jlqk/jmjl/zg",
        method: "GET",
        params: data
    });
};
/**
 * 民警全部
 */
export function getMjQb(data) {
    return service({
        url: api2 + "/jlqk/mj/qbmj",
        method: "GET",
        params: data
    });
};
/**
 * 民警在岗
 */
export function getMjZg(data) {
    return service({
        url: api2 + "/jlqk/mj/zgmj",
        method: "GET",
        params: data
    });
};
// 辅警全部
export function getFjQb(data) {
    return service({
        url: api2 + "/jlqk/fj/qbfj",
        method: "GET",
        params: data
    });
};
// 辅警在岗
export function getFjZg(data) {
    return service({
        url: api2 + "/jlqk/fj/zgfj",
        method: "GET",
        params: data
    });
};

// 可抽调
export function getKcd(data) {
    return service({
        url: api2 + "/jlqk/kcd/zbtj",
        method: "GET",
        params: data
    });
};

// 街面警力统计 app查询界面警力民警辅警数量
export function getJmjl(data) {
    return service({
        url: api2 + "/tbQwXfbb/selectMfjCount",
        method: "GET",
        params: data
    });
};

// 请休假
export function getQxj(data) {
    return service({
        url: api2 + "/jlqk/qxj/mjfjtj",
        method: "GET",
        params: data
    });
};

// 警力清单
export function getJlqd(data) {
    return service({
        url: api2 + "/tbQwBmjlbb/getJlqdList",
        method: "GET",
        params: data
    });
};

// 街面巡组
export function getJmxz(data) {
    return service({
        url: api2 + "/tbQwXfbb/selectDeckList",
        method: "GET",
        params: data
    });
};

// 不在岗警力清单
export function getBzgjlqd(data) {
    return service({
        url: api2 + "/qwlb/bzgjlqd",
        method: "GET",
        params: data
    });
};

// 全部民警辅警列表
export function qbList(data) {
    return service({
        url: api2 + "/jlqk/jmjl/qbList",
        method: "GET",
        params: data
    });
};


// 人员请假查询
export function ryqjList(data) {
    return service({
        url: api2 + "/tbQwQxj/getMyQxjList",
        method: "GET",
        params: data
    });
};
// 人员请假查询
export function ryqjListById(id) {
    return service({
        url: api2 + "/tbQwQxj/"+id,
        method: "GET",
    });
};
// 人员请假编辑
export function ryqjListEdit(data) {
    return service({
        url: api2 + "/tbQwQxj",
        method: "PUT",
        data
    });
};

// 人员请假编辑
export function ryqjListAdd(data) {
    return service({
        url: api2 + "/tbQwQxj",
        method: "POST",
        data
    });
};


